## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1
%bcond_without check

# https://github.com/alecthomas/kong-hcl/v2
%global goipath         github.com/alecthomas/kong-hcl/v2
Version:                2.0.0
%global commit          d3b99e57687aadcc3db17e27dd9f9264e6c4e6a7

%gometa

%global common_description %{expand:
This is version 2.x of this package which uses the HCL2 library. For most config
files it should be a drop-in replacement, but for any codebases using
konghcl.DecodeValue() you will need to update your Go structs to include HCL
tags.}

%global golicenses      COPYING
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        A Kong configuration loader for HCL

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
# To use newer Kong
Patch0:         0001-Dont-use-Kong-group-for-paths.patch
Patch1:         0002-Dont-use-Kong-group-for-paths.patch

BuildRequires:  golang(github.com/alecthomas/kong)
BuildRequires:  golang(github.com/alecthomas/repr)
BuildRequires:  golang(github.com/hashicorp/hcl)
BuildRequires:  golang(github.com/hashicorp/hcl/v2)
BuildRequires:  golang(github.com/hashicorp/hcl/v2/gohcl)
BuildRequires:  golang(github.com/hashicorp/hcl/v2/hclparse)
BuildRequires:  golang(github.com/hashicorp/hcl/v2/hclsyntax)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/zclconf/go-cty/cty)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
%patch1 -p1
rm -rvf *.go
mv v2/* ./

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-7
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-5
- Fix FTBFS Close: rhbz#1987513

* Sun May 30 16:11:04 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-3
- Rework compatibility with v1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 11 17:44:12 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- Initial package

